{
  "name": "common-framework-plugin",
  "version": "1.1.6",
  "scripts": {
    "prepare": "TEN=\"$(pwd)\"; UP=\"$(git rev-parse --show-toplevel)\"; TENUP=\"${TEN#\"$UP\"}\"; cd \"$(git rev-parse --show-toplevel)\"; husky install .\"${TENUP}\"/.husky",
    "start": "npm run watch",
    "watch": "10up-toolkit watch --port=5010 --hot",
    "build": "10up-toolkit build",
    "format-js": "10up-toolkit format-js --fix",
    "lint-js": "10up-toolkit lint-js --fix",
    "lint-style": "10up-toolkit lint-style --fix",
    "test": "10up-toolkit test-unit-jest",
    "clean-dist": "rm -rf ./dist"
  },
  "engineStrict": true,
  "engines": {
    "node": ">=18.0.0",
    "npm": ">=9.0.0"
  },
  "devDependencies": {
    "10up-toolkit": "^6.0.0",
    "husky": "^8.0.3",
    "lint-staged": "^15.2.0",
    "npm-run-all": "^4.1.5",
    "prettier": "3.2.5"
  },
  "dependencies": {
    "imagemapster": "^1.8.0",
    "prop-types": "^15.7.2",
    "slick-carousel": "^1.8.1"
  },
  "10up-toolkit": {
    "entry": {
      "style": "./assets/css/frontend/style.css",
      "slick": "./assets/css/frontend/slick.css",
      "accordions": "./assets/js/frontend/accordions.js",
      "battery-selector": "./assets/js/frontend/battery-selector.js",
      "facet-loaded": "./assets/js/frontend/facet-loaded.js",
      "imagemapster.min": "./assets/js/frontend/imagemapster.min.js",
      "product-slider": "./assets/js/frontend/product-slider.js",
      "rwdImageMaps.min": "./assets/js/frontend/rwdImageMaps.min.js"
    }
  }
}
